# Method: operations.get

- [HTTP request](https://developers.google.com/zero-touch/reference/reseller/rest/v1/operations/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/zero-touch/reference/reseller/rest/v1/operations/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/zero-touch/reference/reseller/rest/v1/operations/get#body.request_body)
- [Response body](https://developers.google.com/zero-touch/reference/reseller/rest/v1/operations/get#body.response_body)
- [Authorization Scopes](https://developers.google.com/zero-touch/reference/reseller/rest/v1/operations/get#body.aspect)

Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.

### HTTP request

`GET https://androiddeviceprovisioning.googleapis.com/v1/{name=operations/**}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the operation resource. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/zero-touch/reference/reseller/rest/v1/operations#Operation`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidworkprovisioning`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).